Subject: [os2genau_digest] No. 1701
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 5 Sep 2008 00:01:01 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 04 September 2008
 Number  1701
**************************************************

Subjects for today
 
1  Re:  USB Modems and eCS : Ed Durrant <edurrant at durrant dot mine dot nu>
2   Chrome design comic : Dennis Nolan <dennis at jeg-og dot com>
3  Re:  USB Modems and eCS : John Angelico" <talldad at kepl dot com dot au>
4  Re:  USB Modems and eCS : Ed Durrant <edurrant at durrant dot mine dot nu>
5  Re:  USB Modems and eCS : John Angelico" <talldad at kepl dot com dot au>
6  Re:  USB Modems and eCS : Wayne <datablitz at optusnet dot com dot au>
7  Re:  USB Modems and eCS : Wayne <datablitz at optusnet dot com dot au>
8  Re:  USB Modems and eCS : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 04 Sep 2008 06:30:20 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB Modems and eCS

John Angelico wrote:
> On Tue, 02 Sep 2008 07:04:25 +1000, Ed Durrant wrote:
>
>   
>> Hi John,
>>     
>
> Hi Ed.
>
>   
>>  I'm afraid this will have to be a trial and error process, but I think 
>> we should be able to make this work.
>>
>> A few questions / suggestions:
>>
>> What do you get if you do a "Mode Com8"  at the command line ?? Has it 
>> "taken" the parameters you have set.
>>
>>     
> [C:\DESKTOP]mode com8
> SYS0020: The system cannot find the device specified.
>
> After fixing the COM.SYS line to what is shown below, I get:
> [C:\DESKTOP]mode com2
> SYS0021: The drive is not ready.
>
> [C:\DESKTOP]
>
>   
>> Have you get the initialisation string documented somewhere (it may not 
>> be *99#). This is the most likely problem.
>>
>>     
>
> ATZ (simple reset) or ATF (reset to factory defaults)
>
>   
>> Does the modem need to have its networkID set (this will be different 
>> dependent upon the Telco. Three for example is '3netaccess' where 
>> Vodaphone is 'vfinternet", I think optus is "internet" and so on.
>>     
>
> Don't know - can't tell.
>
>   
>> Some telcos also require you to send a userid/password. some dont. (But 
>> I don't think we are that far as yet).
>>     
>
> I agree we aren't that far yet.
>
>   
>> As you have this working under windoze - can you see any parameters 
>> defined there in its set up.
>>     
>
> Not many to show but we have them.
>
>   
>> There is some useful background on the device in Wikipedia;  
>> http://en.wikipedia dot org/wiki/Huawei_E220
>>
>> Also has coincidence would have it - I got my regular advert from 
>> Netgear yesterday and they feature a 3G router that you can either plug 
>> a PCMCIA or 3G USB modem (this one included) into, to be able to share 
>> your 3G network connection with multiple PCs, either wirelessly or via 
>> cabled ethernet - it has a table of network specific codes:
>>
>> I will find that link if I can and send you it later today.
>>
>> Whoops forgot - can you also post your com port set up lines from 
>> config.sys please ?
>>     
>
> I think this is where we are deficient.
> We have:
> DEVICE=C:\AMouse\AMOUSE.SYS
> DEVICE=C:\OS2\BOOT\COM.SYS /F
> DEVICE=C:\OS2\MDOS\VCOM.SYS
>
> We probably need
> DEVICE=C:\OS2\BOOT\COM.SYS (2,2f8,3)
> and need to use COM2 for this exercise
>
> Now set those into CONFIG.SYS and the error message changes (above) but ZOC
> still says "Can't open com2"
>
> Small progress :-(.
>
>
>
>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
> ___________________
>   
Well I would stick with Com8 not Com2.

USBMODEM needs to be told to use a virtual com port - in this case com8 
(use the /N:8 switch setting on the |DEVICE=C:\OS2\BOOT\USBCOM.SYS| 
config,sys line).

The dialer may need to support PPP - does ZOC support PPP ?

To start with why not use Injoy dialer as per my article among other 
places at 
http://www2.warpdoctor dot org/VNL/past_issues/VNL0606H/feature_1.html and 
then if that works you can try using ZOC instead.

I think I read in your original mail that this is a 3G (Optus ?) 
connection ?? If in fact this is rather a dial-up modem, then you will 
not need the connect string (ATDT*99# in my case) or the network name 
(APN) - 3netaccess in my case, internet for optus 3G, rather just 
initialisation and dialing strings.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 04 Sep 2008 08:03:51 +1000
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:   Chrome design comic

This is interesting

http://www.google dot com/chrome

Regards

Dennis

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 04 Sep 2008 08:14:13 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  USB Modems and eCS

On Thu, 04 Sep 2008 06:30:20 +1000, Ed Durrant wrote:

>Well I would stick with Com8 not Com2.

OK.

>USBMODEM needs to be told to use a virtual com port - in this case com8 
>(use the /N:8 switch setting on the |DEVICE=C:\OS2\BOOT\USBCOM.SYS| 
>config,sys line).

Doh! Discovered that we had left that at 8 while working with COM2. Fixed
that but without plugging in the Huawei I get 
[C:\DESKTOP]mode com8
SYS0020: The system cannot find the device specified.
[C:\DESKTOP]

again.

>The dialer may need to support PPP - does ZOC support PPP ?
>

Haven't got that far - still trying to get the Com port going & USB->COM
working.

>To start with why not use Injoy dialer as per my article among other 
>places at 
>http://www2.warpdoctor dot org/VNL/past_issues/VNL0606H/feature_1.html and 
>then if that works you can try using ZOC instead.
>

OK will d/l it.

>I think I read in your original mail that this is a 3G (Optus ?) 
>connection ?? 

Correct.

>If in fact this is rather a dial-up modem, then you will 
>not need the connect string (ATDT*99# in my case) or the network name 
>(APN) - 3netaccess in my case, internet for optus 3G, rather just 
>initialisation and dialing strings.

Yep. Next stage. Tonight possibly. We are hampered a bit by the busyness of
Chris (with the Huawei always with him and him off to work and other
activities - that's life!).

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 04 Sep 2008 19:25:48 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB Modems and eCS

John Angelico wrote:
> On Thu, 04 Sep 2008 06:30:20 +1000, Ed Durrant wrote:
>
>   
>> Well I would stick with Com8 not Com2.
>>     
>
> OK.
>
>   
>> USBMODEM needs to be told to use a virtual com port - in this case com8 
>> (use the /N:8 switch setting on the |DEVICE=C:\OS2\BOOT\USBCOM.SYS| 
>> config,sys line).
>>     
>
> Doh! Discovered that we had left that at 8 while working with COM2. Fixed
> that but without plugging in the Huawei I get 
> [C:\DESKTOP]mode com8
> SYS0020: The system cannot find the device specified.
> [C:\DESKTOP]
>
> again.
>
>   
>> The dialer may need to support PPP - does ZOC support PPP ?
>>
>>     
>
> Haven't got that far - still trying to get the Com port going & USB->COM
> working.
>
>   
>> To start with why not use Injoy dialer as per my article among other 
>> places at 
>> http://www2.warpdoctor dot org/VNL/past_issues/VNL0606H/feature_1.html and 
>> then if that works you can try using ZOC instead.
>>
>>     
>
> OK will d/l it.
>
>   
>> I think I read in your original mail that this is a 3G (Optus ?) 
>> connection ?? 
>>     
>
> Correct.
>
>   
>> If in fact this is rather a dial-up modem, then you will 
>> not need the connect string (ATDT*99# in my case) or the network name 
>> (APN) - 3netaccess in my case, internet for optus 3G, rather just 
>> initialisation and dialing strings.
>>     
>
> Yep. Next stage. Tonight possibly. We are hampered a bit by the busyness of
> Chris (with the Huawei always with him and him off to work and other
> activities - that's life!).
>
>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
> ___________________
>

>  

>
>   
What parameters do you have on your com.sys device driver line in 
config.sys ??

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 04 Sep 2008 22:45:02 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  USB Modems and eCS

On Thu, 04 Sep 2008 19:25:48 +1000, Ed Durrant wrote:

>
>What parameters do you have on your com.sys device driver line in 
>config.sys ??
DEVICE=C:\OS2\BOOT\COM.SYS (8,2f8,3,S)
DEVICE=C:\OS2\BOOT\USBCOM.SYS /n:com8 /v

OK.

Have Injoy, got it configured as you said in the article.

Now I don't have the modem to test it live, so I tested Injoy dialing; but
all I got was:
[opening port]
[Port open fail, retrying in 5 secs...]
[Port open fail, retrying in 5 secs...]
[Port open fail, retrying in 5 secs...]
[Port open fail, retrying in 5 secs...]

until I interrupted it.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 4 Sep 2008 22:19:50 +0930
From:  Wayne <datablitz at optusnet dot com dot au>
Subject:  Re:  USB Modems and eCS

** Reply to note from "John Angelico" <talldad at kepl dot com dot au> Thu, 04 Sep 2008 08:14:13 +1000   
(AEST) 
>    
> On Thu, 04 Sep 2008 06:30:20 +1000, Ed Durrant wrote: 
>    
 
<snip>    
 
> Doh! Discovered that we had left that at 8 while working with COM2. Fixed that but without 
> plugging in the Huawei I get  [C:\DESKTOP]mode com8 SYS0020: The system cannot find the 
> device specified. [C:\DESKTOP] 
 
Hi John 
 
I have a Samsung SGH-A501 phone (current model) connected as a modem to Telstra's   
browserpack.  I tried mode com8 with phone not plugged in & got the same response you 
did.  So plug in your modem & try again. 
 
Cheers 
Wayne 
 
NB connecting to telstra is quite a bit different to Ed's article

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Thu, 4 Sep 2008 22:35:47 +0930
From:  Wayne <datablitz at optusnet dot com dot au>
Subject:  Re:  USB Modems and eCS

** Reply to note from "John Angelico" <talldad at kepl dot com dot au> Thu, 04 Sep 2008 22:45:02 +1000   
(AEST) 
>    
> On Thu, 04 Sep 2008 19:25:48 +1000, Ed Durrant wrote: 
>    
> > 
> >What parameters do you have on your com.sys device driver line in  
> >config.sys ?? 
> DEVICE=C:\OS2\BOOT\COM.SYS (8,2f8,3,S) DEVICE=C:\OS2\BOOT\USBCOM.SYS /n:com8 /v 
>    
> OK. 
>    
> Have Injoy, got it configured as you said in the article. 
>    
> Now I don't have the modem to test it live, so I tested Injoy dialing; but all I got was: [opening port] 
> [Port open fail, retrying in 5 secs...] [Port open fail, retrying in 5 secs...] [Port open fail, retrying in 
> 5 secs...] [Port open fail, retrying in 5 secs...] 
>    
> until I interrupted it. 
>    
>    
>    
> Best regards John Angelico OS/2 SIG os2 at melbpc dot org dot au or  talldad at kepl dot com dot au 

That happens here when I forget to plug in the phone. 
 
Cheers 
Wayne 

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Thu, 04 Sep 2008 23:44:54 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  USB Modems and eCS

On Thu, 4 Sep 2008 22:35:47 +0930, Wayne wrote:

Hi and thanks for jumping in Wayne.

>** Reply to note from "John Angelico" <talldad at kepl dot com dot au> Thu, 04 Sep 2008 22:45:02 +1000   
>(AEST) 
>>    
>> On Thu, 04 Sep 2008 19:25:48 +1000, Ed Durrant wrote: 
>>    
>> > 
>> >What parameters do you have on your com.sys device driver line in  
>> >config.sys ?? 
>> DEVICE=C:\OS2\BOOT\COM.SYS (8,2f8,3,S) DEVICE=C:\OS2\BOOT\USBCOM.SYS /n:com8 /v 
>>    
>> OK. 
>>    
>> Have Injoy, got it configured as you said in the article. 
>>    
>> Now I don't have the modem to test it live, so I tested Injoy dialing; but all I got was: [opening port] 
>> [Port open fail, retrying in 5 secs...] [Port open fail, retrying in 5 secs...] [Port open fail, retrying in 
>> 5 secs...] [Port open fail, retrying in 5 secs...] 
>>    
>> until I interrupted it. 
>>    
>>    
>>    
>> Best regards John Angelico OS/2 SIG os2 at melbpc dot org dot au or  talldad at kepl dot com dot au 
> 
> 
>That happens here when I forget to plug in the phone. 

Hmm, no change here when I plug in the phone.

But I see an extra CD-ROM in my Drives folder, assigned Drive T: after my
regular Drive S: which is the real DVD-Burner.

The modem starts with its little indicator light flashing green then turns
to flashing blue.

Waited for Blue - no difference.

Oh, well, Ed did say it was going to be a trial and error, iterative
process. ;-)

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------